import React from "react";
import { Drawer, Box, List, ListItem, ListItemButton, ListItemIcon, ListItemText, Divider } from "@mui/material";
import logoSrc from "../../assets/svg/logo.svg";
import InboxIcon from "@mui/icons-material/Inbox";
import MailIcon from "@mui/icons-material/Mail";

const MobileNav = ({ open, menu = [] }) => {
  return (
    <Drawer
      open={open}
      onClose={() => {}}
      sx={{
        "& .MuiDrawer-paper": {
          backgroundColor: "black",
          color: "white",
          width: 250,
        },
      }}
    >
      {/* Logo Section */}
      <Box
        sx={{
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          height: 80,
          borderBottom: "1px solid white",
        }}
      >
        <img
          src={logoSrc}
          alt="Logo"
          style={{
            width: 150,
            height: 50,
          }}
        />
      </Box>

      {/* Main Navigation */}
      <Box sx={{ width: 250 }} role="presentation">
        <List>
          {menu.map((text, index) => (
            <ListItem key={text} disablePadding>
              <ListItemButton
                sx={{
                  color: "white",
                  "&:hover": {
                    backgroundColor: "white",
                    color: "black",
                  },
                }}
              >
                <ListItemIcon
                  sx={{
                    color: "white",
                    "&:hover": {
                      color: "black",
                    },
                  }}
                >
                  {index % 2 === 0 ? <InboxIcon /> : <MailIcon />}
                </ListItemIcon>
                <ListItemText primary={text} />
              </ListItemButton>
            </ListItem>
          ))}
        </List>
      </Box>
    </Drawer>
  );
};

export default MobileNav;
